Operating System:

Description

Currently, the GNU autoconf system in DCMTK does not support building the toolkit in a different directory (unlike CMake). This
would be desired since this would make many things easier (like using git, parallel builds with autoconf and CMake, etc.)

History

#1 - 2012-09-17 14:39 - Uli Schlachter

Relevant parts of the autoconf manual:

http://www.gnu.org/savannah-checkouts/gnu/autoconf/manual/autoconf-2.69/html_node/Build-Directories.html#Build-Directories
http://www.gnu.org/savannah-checkouts/gnu/autoconf/manual/autoconf-2.69/html_node/VPATH-and-Make.html#VPATH-and-Make

#2 - 2012-09-19 16:54 - Uli Schlachter
- File out_of tree_ofstd.patch added

The attached patch makes it possible to build ofstd out of tree.

Caveats:

- No clue what the purpose of some of the code is that | removed from configure/confmod

- This might be using "abs_" too much (e.g. try top_builddir instead of abs_top_builddir)

- None of the sed-calls properly escape the path. For example, if the path to the buildir or srcdir contains a ":", this might explode
- Lots of work left

- Lots of subtle bugs introduced

| think that switching to cmake exclusively is way easier than trying to make this work properly. (And also better in the long term, less build systems to
maintain)

#3 - 2025-08-29 18:18 - Marco Eichelberg

- Status changed from New to Rejected

Out of source tree build possible now with the CMake toolchain.

Files

out_of_tree_ofstd.patch 8.52 KB 2012-09-19 Uli Schlachter
